From 7bdd9b51db743ca487f0dbd8681cd5a3b15d69f4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 01 2020 23:16:23 +0000
Subject: [PATCH 518/2232] Merge pull request #184 from dtolnay/fallback


Support building C++ code generator with panic=abort
---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index 869f543..548dc85 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -14,7 +14,7 @@ travis-ci = { repository = "dtolnay/cxx" }
 anyhow = "1.0"
 cc = "1.0.49"
 codespan-reporting = "0.9"
-proc-macro2 = { version = "1.0", features = ["span-locations"] }
+proc-macro2 = { version = "1.0.11", features = ["span-locations"] }
 quote = "1.0"
 syn = { version = "1.0", features = ["full"] }
 
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 9927d3f..20fa12e 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -17,7 +17,7 @@ travis-ci = { repository = "dtolnay/cxx" }
 [dependencies]
 anyhow = "1.0"
 codespan-reporting = "0.9"
-proc-macro2 = { version = "1.0", features = ["span-locations"] }
+proc-macro2 = { version = "1.0.11", features = ["span-locations"] }
 quote = "1.0"
 structopt = "0.3"
 syn = { version = "1.0", features = ["full"] }
diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index be46533..58a78b1 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -41,6 +41,7 @@ fn generate(path: &Path, opt: Opt, header: bool) -> Vec<u8> {
         Err(err) => format_err(path, "", Error::Io(err)),
     };
     match (|| -> Result<_> {
+        proc_macro2::fallback::force();
         let syntax = syn::parse_file(&source)?;
         let bridge = find_bridge_mod(syntax)?;
         let namespace = bridge.namespace;
diff --git a/third-party/BUCK b/third-party/BUCK
index 3500cb0..bf772cf 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -83,7 +83,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.10/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.11/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "proc-macro",
@@ -99,7 +99,7 @@ rust_library(
 
 rust_library(
     name = "quote",
-    srcs = glob(["vendor/quote-1.0.3/src/**"]),
+    srcs = glob(["vendor/quote-1.0.4/src/**"]),
     visibility = ["PUBLIC"],
     features = ["proc-macro"],
     deps = [":proc-macro2"],
diff --git a/third-party/BUILD b/third-party/BUILD
index b6605e4..140fec8 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -88,7 +88,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.10/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.11/src/**"]),
     crate_features = [
         "proc-macro",
         "span-locations",
@@ -104,7 +104,7 @@ rust_library(
 
 rust_library(
     name = "quote",
-    srcs = glob(["vendor/quote-1.0.3/src/**"]),
+    srcs = glob(["vendor/quote-1.0.4/src/**"]),
     crate_features = ["proc-macro"],
     visibility = ["//visibility:public"],
     deps = [":proc-macro2"],
